Bug 1297681 - systemd is opening sockets only on IPv6 [NEEDINFO]
systemd is opening sockets only on IPv6
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cockpit (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 03:46 EST by Avi Alkalay
Modified: 2016-04-27 08:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 08:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stefw: needinfo? (avibrazil)


Attachments (Terms of Use)

  None (edit)
Description Avi Alkalay 2016-01-12 03:46:56 EST
Description of problem:
Not sure if this is a cockpit or a systemd problem, but is affecting cockpit for me.
I installed cockpit and cockpit-ws and expected to access its web interface over regular networking. But systemd only listens on tcp6 (IPv6) por 9090, not regular IPv4.

Version-Release number of selected component (if applicable):
$ rpm -q systemd cockpit-ws
systemd-222-12.fc23.x86_64
cockpit-ws-0.89-1.fc23.x86_64

How reproducible:
Apparently always

Steps to Reproduce:
1. dnf install cockpit-ws
2. systemd enable cockpit.socket
3. netstat -an | grep 9090 

Actual results (output of netstat):
tcp6       0      0 :::9090                 :::*                    LISTEN

Expected results (expected output of netstat):
tcp        0      0 0.0.0.0:9090            0.0.0.0:*               LISTEN
tcp6       0      0 :::9090                 :::*                    LISTEN
Comment 1 Lennart Poettering 2016-02-10 08:43:19 EST
Sounds like a cockpit problem. It all depends what they configure in the .socket unit. If they use "ListenStream=0.0.0.0:9090 [::]:9090" they get two sockets, one for ipv4 and one for ipv6.
Comment 2 Stef Walter 2016-02-10 09:39:19 EST
This is what we use:

src/ws/cockpit.socket:ListenStream=9090

Avi, what does ListenStream say on your machine?
Comment 3 Stef Walter 2016-04-27 08:12:38 EDT
No response from Avi. Closing this bug.

On a default install:

$ netstat -an | grep 9090
tcp6       0      0 :::9090                 :::*                    LISTEN

Note You need to log in before you can comment on or make changes to this bug.